/*
 * Segment 5 Intelligente Analyseverfahren, SWE 5.1 Ganglinienprognose
 * Copyright (C) 2019 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.glprog.glprog;

/**
 * Definition der Auswahlmethode für Ganglinien bei der Erstellung einer
 * Prognose.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public enum GanglinienAuswahlmethode {
    
    /** Methode ist nicht festgelegt. */
    UNDEFINIERT(0),

    /**
     * Auswahl der Referenzganglinie.
     */
    REFERENZ_GANGLINIE(1),

    /** Auswahl der wahrscheinlichsten Ganglinie. */
    WAHRSCHEINLICHSTE_GANGLINIE(2);

    private final int code;

    GanglinienAuswahlmethode(int code) {
        this.code = code;
    }

    public static GanglinienAuswahlmethode with(int code) {
        for (GanglinienAuswahlmethode typ : values()) {
            if (typ.code == code) {
                return typ;
            }
        }

        return GanglinienAuswahlmethode.UNDEFINIERT;
    }

    public int getCode() {
        return code;
    }

}
