/*
 * Segment 5 Intelligente Analyseverfahren, SWE 5.1 Ganglinienprognose
 * Copyright (C) 2019 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.glprog.glprog.domain;

/**
 * Repräsentation eines Datums der Attributgruppe
 * "atg.verkehrsDatenKurzZeitTrendExtraPolationMq".
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public final class VerkehrsDatenKurzZeitTrendExtraPolationMq {

    private boolean valid;
    private long zeitStempel;

    private Double vLkw;
    private Double vPkw;
    private Double qKfz;
    private Double qLkw;

    private VerkehrsDatenKurzZeitTrendExtraPolationMq(long zeitStempel) {
        this.zeitStempel = zeitStempel;
    }

    private VerkehrsDatenKurzZeitTrendExtraPolationMq(long zeitStempel, Double vLkw, Double vPkw, Double qKfz,
            Double qLkw) {
        valid = true;
        this.zeitStempel = zeitStempel;
        this.vLkw = vLkw;
        this.vPkw = vPkw;
        this.qKfz = qKfz;
        this.qLkw = qLkw;
    }

    public static VerkehrsDatenKurzZeitTrendExtraPolationMq invalid(long zeitStempel) {
        return new VerkehrsDatenKurzZeitTrendExtraPolationMq(zeitStempel);
    }

    public static VerkehrsDatenKurzZeitTrendExtraPolationMq of(long zeitStempel, Double vLkw, Double vPkw, Double qKfz,
            Double qLkw) {
        return new VerkehrsDatenKurzZeitTrendExtraPolationMq(zeitStempel, vLkw, vPkw, qKfz, qLkw);
    }

    public boolean isValid() {
        return valid;
    }

    public long getZeitstempel() {
        return zeitStempel;
    }

    public Double getQKfz() {
        return qKfz;
    }

    public Double getQLkw() {
        return qLkw;
    }

    public Double getVPkw() {
        return vPkw;
    }

    public Double getVLkw() {
        return vLkw;
    }

}
