/*
 * Segment 5 Intelligente Analyseverfahren, SWE 5.1 Ganglinienprognose
 * Copyright (C) 2019 BitCtrl Systems GmbH
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.iav.glprog.glprog.domain.comm;

import java.util.Collections;

import de.bsvrz.iav.gllib.gllib.domain.GanglinieAnfrageTyp;
import de.bsvrz.iav.gllib.gllib.domain.GanglinienAnfrager;
import de.bsvrz.iav.gllib.gllib.domain.MessQuerschnitt;
import de.bsvrz.iav.gllib.gllib.domain.comm.GlSpeicherAnfrage;

/**
 * Anfrage, die nicht interpretiert werden konnte und die mit einer
 * Fehlermeldung beantwortet wird.
 * 
 * @author BitCtrl Systems GmbH, Uwe Peuker
 */
public class GlUngueltigeAnfrage extends GlSpeicherAnfrage {

    private final String message;

    protected GlUngueltigeAnfrage(GanglinienAnfrager anfrager, String absenderZeichen, MessQuerschnitt messQuerschnitt,
            String message) {
        super(GanglinieAnfrageTyp.UNDEFINIERT, anfrager, absenderZeichen, messQuerschnitt, Collections.emptyList(), Collections.emptyList(), Collections.emptyList());
        this.message = message;
    }

    public static GlUngueltigeAnfrage of(GanglinienAnfrager anfrager, String absenderZeichen,
            MessQuerschnitt messQuerschnitt, String message) {
        return new GlUngueltigeAnfrage(anfrager, absenderZeichen, messQuerschnitt, message);
    }

    public String getMessage() {
        return message;
    }
}
